## com.thaiopensource.validate.auto
Class ReparseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.xml.sax.SAXException
                  com.thaiopensource.validate.auto.ReparseException

All Implemented Interfaces:
  Serializable

    public abstract class ReparseException

extends SAXException

See Also:
  Serialized Form

Constructor Summary
`ReparseException()`

Method Summary
`abstract Schema` `reparse(SAXSource source)`

Methods inherited from class org.xml.sax.SAXException
`getCause, getException, getMessage, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReparseException

    public ReparseException()

Method Detail

### reparse

    public abstract Schema reparse(SAXSource source)
                            throws IncorrectSchemaException,
                                   SAXException,
                                   IOException

  Throws:
    `IncorrectSchemaException`
    `SAXException`
    `IOException`